/* eslint-disable react/prop-types */
import PropTypes from 'prop-types';
import React from 'react';
import cx from 'classnames';
import Info from '@s-ui/react-icons/lib/Info';
import Bell from '@s-ui/react-icons/lib/Bell';
import Check from '@s-ui/react-icons/lib/Check';
var icons = {
  info: Info,
  error: Bell,
  success: Check
};

function _renderAction(_ref) {
  var _cx;

  var handle = _ref.handle,
      text = _ref.text,
      className = _ref.className;
  var actionClassName = cx("sui-AlertBasic-button", (_cx = {}, _cx[className] = !!className, _cx));
  return React.createElement("button", {
    className: actionClassName,
    onClick: handle
  }, text);
}

function _renderActions(actions) {
  return React.createElement("div", {
    className: "sui-AlertBasic-actions"
  }, actions.map(function (action, index) {
    return _renderAction(action);
  }));
}

export default function AlertBasic(_ref2) {
  var type = _ref2.type,
      children = _ref2.children,
      icon = _ref2.icon,
      actions = _ref2.actions,
      IconClose = _ref2.iconClose,
      handleClose = _ref2.handleClose;
  var AlertIcon = icon || icons[type];
  return React.createElement("div", null, React.createElement("div", {
    className: "sui-AlertBasic sui-AlertBasic--" + type
  }, IconClose && React.createElement("button", {
    className: "sui-AlertBasic-buttonClose",
    onClick: handleClose
  }, React.createElement(IconClose, {
    svgClass: "sui-AlertBasic-buttonCloseIcon"
  })), React.createElement("div", {
    className: "sui-AlertBasic-message"
  }, React.createElement("div", null, React.createElement(AlertIcon, {
    svgClass: "sui-AlertBasic-icon"
  })), React.createElement("div", null, children)), actions && !!actions.length && _renderActions(actions)));
}
AlertBasic.displayName = 'AlertBasic';